TCL/Tk upgrade

TCL/Tk upgrade

Post by Ted Troccol » Mon, 03 Mar 1997 04:00:00



Using RedHat 4.0 and kernel 2.0.24

I originally was trying to upgrade my versions of TK and TCL.
Then, glint broke and I couldn't figure it out, so
I thought I would go back to what was working before...

I have the

  tcltk-7.5_4.1-3.src.rpm
  glint-2.1.4-1.src.rpm
  python-1.3-11.src.rpm
  pythonlib-1.8-1.src.rpm

I have re-installed all of them, and still get erros when starting
glint.

The error I get from glint is...

Traceback (innermost last):
  File "./glint.py", line 22, in ?
    from Tkinter import *
  File "/usr/lib/python/tkinter/Tkinter.py", line 11, in ?
    import tkinter
ImportError: No module named tkinter

Looks like it is trying to find the tkinter module.

I do have the /usr/lib/python/linux1/_tkinter.so
file in place, which is part of python-1.3-11

Any ideas?

Thanks
Ted

 
 
 

1. Tcl/Tk Upgrade Problem

486DX4-120/32MB RAM/RH-3.0.3/Kernel 2.0.0/gcc-2.7.2

Simply put, the problem is that it didn't work.

The only warning messages that I got during the entire process were
during make:

        ./tclUnixChan.c: In function `TcpGetOptionProc':
        ./tclUnixChan.c:1740: warning: passing arg 2 of                
        `Tcl_DStringAppendElement'
        discards `const' from pointer target type
        ./tclUnixChan.c:1766: warning: passing arg 2 of
`Tcl_DStringAppendElement'
discards `const' from pointer target type

I did make the symbolic link:

                tclsh ---> tclsh7.6

I am obviously missing something, but I don't have the faintest idea
what.

TIA

2. Finally, the Linus GIFs

3. TK/tcl gurus: wrong version of Tk loaded (3.6): need 4.x?

4. Installing an FTP Server

5. Linux Tcl/Tk diffs in netcom.com: ~ftp/pub/yggdrasil/misc/tcl-diffs

6. Base addres of the network card..

7. Plans for Tcl/Tk8.4 version of tksh (ksh93 + Tcl/Tk)?

8. CERN/Spry server password protection.

9. RPM/Tcl-Tk Question: Right Upgrade Procedure?

10. Tk Tcl upgrade problems

11. How to upgrade tcl/tk

12. Upgrading Redhat 4.2 to tcl/tk 8.0??

13. how can I upgrade tk/tcl with rpm